
QGIS Application - Bug report #4734

QgisApp: undesired canvas movement after map coordinate edit

2012-01-02 04:11 AM - Bill Clay

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14606

Description

If a QGIS Application user places the cursor in the coordinates widget (mCoordsEdit), then terminates the coordinates edit with the

"enter" key -- or simply decides not to change the coordinates, subsequent mouse clicks on application menu items will cause an

unexpected canvas re-center and refresh.

This behavior is especially undesirable with WFS layers for which the "cache all features" option is not checked (patch for issue 4604). 

Undesired canvas movements can then cause unnecessary delay as new features are retrieved from the WFS provider.

History

#1 - 2012-01-02 04:15 AM - Bill Clay

- File bug4734.patch added

patch attached

#2 - 2012-02-01 09:22 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:060af367d6

Files

bug4734.patch 1.89 KB 2012-01-02 Bill Clay
